[arch-commits] Commit in imlib2/repos (3 files)

Eric Bélanger eric at archlinux.org
Tue Jan 19 03:52:05 EST 2010


    Date: Tuesday, January 19, 2010 @ 03:52:05
  Author: eric
Revision: 64021

Merged revisions 64020 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/imlib2/trunk

........
  r64020 | eric | 2010-01-19 03:51:41 -0500 (Tue, 19 Jan 2010) | 2 lines
  
  upgpkg: imlib2 1.4.2-5
      Fixed undefined symbols
........

Added:
  imlib2/repos/jpng-i686/libpng14.patch
    (from rev 64020, imlib2/trunk/libpng14.patch)
Modified:
  imlib2/repos/jpng-i686/	(properties)
  imlib2/repos/jpng-i686/PKGBUILD

----------------+
 PKGBUILD       |   10 +++++++---
 libpng14.patch |   12 ++++++++++++
 2 files changed, 19 insertions(+), 3 deletions(-)


Property changes on: imlib2/repos/jpng-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /imlib2/trunk:1-63363
   + /imlib2/trunk:1-64020

Modified: jpng-i686/PKGBUILD
===================================================================
--- jpng-i686/PKGBUILD	2010-01-19 08:51:41 UTC (rev 64020)
+++ jpng-i686/PKGBUILD	2010-01-19 08:52:05 UTC (rev 64021)
@@ -5,7 +5,7 @@
 
 pkgname=imlib2
 pkgver=1.4.2
-pkgrel=4
+pkgrel=5
 pkgdesc="Library that does image file loading and saving as well as rendering, manipulation, arbitrary polygon support"
 url="http://sourceforge.net/projects/enlightenment/"
 arch=('i686' 'x86_64')
@@ -13,8 +13,11 @@
 depends=('libtiff>=3.9.2-2' 'giflib' 'bzip2' 'freetype2' 'libxext' 'libpng>=1.4.0' 'libid3tag' 'libjpeg>=8')
 options=('!libtool')
 source=("http://downloads.sourceforge.net/enlightenment/$pkgname-$pkgver.tar.bz2" \
-        'bufferoverflow.patch')
-md5sums=('9f15568e76ebda9092c571e0df261f54' '76def1fe0ac2ac1686ff24d29979606f')
+        'bufferoverflow.patch' libpng14.patch)
+md5sums=('9f15568e76ebda9092c571e0df261f54' '76def1fe0ac2ac1686ff24d29979606f'\
+         'f3cd56755cef7ea62de2702b2300cea1')
+sha1sums=('c3fb5de49e1e493544879f41262ec1ca525fc670' 'da84cea18ab852206e742f6e705665b4eb816405'\
+         '75baf96b3b409b4cf94d1fe5674ce875d375cb52')
 
 build() {
   cd $srcdir/$pkgname-$pkgver
@@ -23,6 +26,7 @@
   [ $CARCH = "i686" ] && EXTRAOPTS="--disable-mmx"
   [ $CARCH = "x86_64" ] && EXTRAOPTS="--disable-amd64"
 
+  patch -Np1 -i $srcdir/libpng14.patch || return 1
 
   # Security Fix (Buffer Overflow), upstream fix
   patch -Np0 -i $srcdir/bufferoverflow.patch || return 1

Copied: imlib2/repos/jpng-i686/libpng14.patch (from rev 64020, imlib2/trunk/libpng14.patch)
===================================================================
--- jpng-i686/libpng14.patch	                        (rev 0)
+++ jpng-i686/libpng14.patch	2010-01-19 08:52:05 UTC (rev 64021)
@@ -0,0 +1,12 @@
+diff -Naur imlib2-1.4.2-orig/src/modules/loaders/loader_png.c imlib2-1.4.2/src/modules/loaders/loader_png.c
+--- imlib2-1.4.2-orig/src/modules/loaders/loader_png.c	2010-01-19 03:37:21.000000000 -0500
++++ imlib2-1.4.2/src/modules/loaders/loader_png.c	2010-01-19 03:38:51.000000000 -0500
+@@ -38,7 +38,7 @@
+ 
+         /* if we haven't read the header before, set the header data */
+         fread(buf, 1, PNG_BYTES_TO_CHECK, f);
+-        if (!png_check_sig(buf, PNG_BYTES_TO_CHECK))
++        if (!png_sig_cmp(buf, 0, PNG_BYTES_TO_CHECK))
+           {
+              fclose(f);
+              return 0;



More information about the arch-commits mailing list